<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>zt-module-qms</artifactId>
        <groupId>com.zt.plat</groupId>
        <version>${revision}</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <packaging>jar</packaging>

    <artifactId>zt-module-qms-server</artifactId>

    <name>${project.artifactId}</name>
    <description>
        QMS模块。
    </description>
    <properties>
        <zzjc.tio.version>3.9.1.v20251013-RELEASE</zzjc.tio.version>
    </properties>
    <dependencies>
        <!-- Spring Cloud 基础 -->
        <dependency>
            <groupId>com.zt.plat</groupId>
            <artifactId>zt-spring-boot-starter-env</artifactId>
        </dependency>

        <!-- 依赖服务 -->
        <dependency>
            <groupId>com.zt.plat</groupId>
            <artifactId>zt-module-system-api</artifactId>
            <version>${revision}</version>
        </dependency>
        <dependency>
            <groupId>com.zt.plat</groupId>
            <artifactId>zt-module-infra-api</artifactId>
            <version>${revision}</version>
        </dependency>

        <dependency>
            <groupId>com.zt.plat</groupId>
            <artifactId>zt-module-qms-api</artifactId>
            <version>${revision}</version>
        </dependency>

        <!-- 业务组件 -->
        <dependency>
            <groupId>com.zt.plat</groupId>
            <artifactId>zt-spring-boot-starter-biz-data-permission</artifactId>
        </dependency>
        <dependency>
            <groupId>com.zt.plat</groupId>
            <artifactId>zt-spring-boot-starter-biz-tenant</artifactId>
        </dependency>

        <!-- Web 相关 -->
        <dependency>
            <groupId>com.zt.plat</groupId>
            <artifactId>zt-spring-boot-starter-web</artifactId>
        </dependency>

        <dependency>
            <groupId>com.zt.plat</groupId>
            <artifactId>zt-spring-boot-starter-security</artifactId>
        </dependency>

        <!-- DB 相关 -->
        <dependency>
            <groupId>com.zt.plat</groupId>
            <artifactId>zt-spring-boot-starter-mybatis</artifactId>
        </dependency>

        <dependency>
            <groupId>com.zt.plat</groupId>
            <artifactId>zt-spring-boot-starter-redis</artifactId>
        </dependency>

        <!-- RPC 远程调用相关 -->
        <dependency>
            <groupId>com.zt.plat</groupId>
            <artifactId>zt-spring-boot-starter-rpc</artifactId>
        </dependency>

        <!-- Registry 注册中心相关 -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
        </dependency>

        <!-- Config 配置中心相关 -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
        </dependency>

        <!-- Job 定时任务相关 -->
        <dependency>
            <groupId>com.zt.plat</groupId>
            <artifactId>zt-spring-boot-starter-job</artifactId>
        </dependency>

        <!-- 消息队列相关 -->
        <dependency>
            <groupId>com.zt.plat</groupId>
            <artifactId>zt-spring-boot-starter-mq</artifactId>
        </dependency>

        <!-- Test 测试相关 -->
        <dependency>
            <groupId>com.zt.plat</groupId>
            <artifactId>zt-spring-boot-starter-test</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>com.vaadin.external.google</groupId>
                    <artifactId>android-json</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <!-- 工具类相关 -->
        <dependency>
            <groupId>com.zt.plat</groupId>
            <artifactId>zt-spring-boot-starter-excel</artifactId>
        </dependency>

        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-text</artifactId>
            <version>1.14.0</version>
        </dependency>

        <!-- gridreport -->
        <dependency>
            <groupId>cn.rubylong</groupId>
            <artifactId>gridreport</artifactId>
            <version>20240506.RELEASE</version>
        </dependency>

        <!-- liteflow -->
        <dependency>
            <groupId>com.yomahub</groupId>
            <artifactId>liteflow-spring-boot-starter</artifactId>
            <version>2.15.0</version>
        </dependency>
        <dependency>
            <groupId>com.yomahub</groupId>
            <artifactId>liteflow-script-javax-pro</artifactId>
            <version>2.15.0</version>
        </dependency>
        <dependency>
            <groupId>com.yomahub</groupId>
            <artifactId>liteflow-script-groovy</artifactId>
            <version>2.15.0</version>
        </dependency>
        <dependency>
            <groupId>com.yomahub</groupId>
            <artifactId>liteflow-script-qlexpress</artifactId>
            <version>2.15.0</version>
        </dependency>
        <dependency>
            <groupId>com.yomahub</groupId>
            <artifactId>liteflow-script-graaljs</artifactId>
            <version>2.15.0</version>
        </dependency>

        <!-- pdfbox -->
        <dependency>
            <groupId>org.apache.pdfbox</groupId>
            <artifactId>pdfbox</artifactId>
            <version>2.0.33</version>
        </dependency>

        <!-- Spire.PDF -->
        <dependency>
            <groupId>e-iceblue</groupId>
            <artifactId>spire.pdf.free</artifactId>
            <version>9.13.0</version>
        </dependency>

        <!-- 监控相关 -->
        <dependency>
            <groupId>com.zt.plat</groupId>
            <artifactId>zt-spring-boot-starter-monitor</artifactId>
        </dependency>
        <dependency>
            <groupId>com.zt.plat</groupId>
            <artifactId>zt-spring-boot-starter-biz-business</artifactId>
            <version>${revision}</version>
        </dependency>
        <dependency>
            <groupId>com.zt.plat</groupId>
            <artifactId>zt-module-bpm-api</artifactId>
            <version>${revision}</version>
        </dependency>

        <!--    zzjc.tio    -->
        <dependency>
            <groupId>tech.zzjc.tio</groupId>
            <artifactId>zzjc-tio-spring-boot-starter</artifactId>
            <version>${zzjc.tio.version}</version>
        </dependency>
    </dependencies>

    <repositories>
        <repository>
            <id>zzjc-release</id>
            <name>Release Repository</name>
            <url>https://mvn.will-way.cn/repository/zzjc-releases/</url>
        </repository>
    </repositories>

    <build>
        <!-- 设置构建的 jar 包名 -->
        <finalName>${project.artifactId}</finalName>
        <!--        <plugins>-->
        <!--            &lt;!&ndash; 打包 &ndash;&gt;-->
        <!--            <plugin>-->
        <!--                <groupId>org.springframework.boot</groupId>-->
        <!--                <artifactId>spring-boot-maven-plugin</artifactId>-->
        <!--                <version>${spring.boot.version}</version>-->
        <!--                <executions>-->
        <!--                    <execution>-->
        <!--                        <goals>-->
        <!--                            <goal>repackage</goal> &lt;!&ndash; 将引入的 jar 打入其中 &ndash;&gt;-->
        <!--                        </goals>-->
        <!--                    </execution>-->
        <!--                </executions>-->
        <!--            </plugin>-->
        <!--        </plugins>-->
    </build>
</project>
